Jack::JackALSARawMidiInputPort Class Reference
Inheritance diagram for Jack::JackALSARawMidiInputPort:

## Public Member Functions

| JackALSARawMidiInputPort (snd_rawmidi_info_t *info, size_t index, size_t max_bytes=4096, size_t max_messages=1024)
bool | ProcessJack (JackMidiBuffer *port_buffer, jack_nframes_t frames)
bool | ProcessPollEvents (jack_nframes_t current_frame)
Public Member Functions inherited from Jack::JackALSARawMidiPort
| JackALSARawMidiPort (snd_rawmidi_info_t *info, size_t index, unsigned short io_mask)
const char * | GetAlias ()
const char * | GetName ()
int | GetPollDescriptorCount ()
void | PopulatePollDescriptors (struct pollfd *poll_fd)

## Additional Inherited Members

Protected Member Functions inherited from Jack::JackALSARawMidiPort
int | GetIOPollEvent ()
int | GetQueuePollEvent ()
void | SetIOEventsEnabled (bool enabled)
void | SetQueueEventsEnabled (bool enabled)
bool | TriggerQueueEvent ()
Protected Attributes inherited from Jack::JackALSARawMidiPort
snd_rawmidi_t * | rawmidi

## Detailed Description

Definition at line 31 of file JackALSARawMidiInputPort.h.

The documentation for this class was generated from the following files:

- JackALSARawMidiInputPort.h
- JackALSARawMidiInputPort.cpp